Package org.zkoss.bind.impl

## Class BindEvaluatorXUtil

- java.lang.Object
- - org.zkoss.bind.impl.BindEvaluatorXUtil

-     public class BindEvaluatorXUtil
      extends java.lang.Object

  an internal utility to help doing evaluation.
  Since:
    6.0.0
  Author:
    dennis

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindEvaluatorXUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BindEvaluatorX` | `createEvaluator​(FunctionMapper fnampper)` |
    `static <T> T` | `eval​(BindEvaluatorX evalx, Component comp, java.lang.String expression, java.lang.Class<T> expectedType)` |
    `static <T> T` | `eval​(BindEvaluatorX evalx, Component comp, java.lang.String expression, java.lang.Class<T> expectedType, java.util.Map<java.lang.String,​java.lang.Object> implicit)` |
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `evalArgs​(BindEvaluatorX eval, Component comp, java.util.Map<java.lang.String,​java.lang.Object> args)` |
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `evalArgs​(BindEvaluatorX eval, Component comp, java.util.Map<java.lang.String,​java.lang.Object> args, java.util.Map<java.lang.String,​java.lang.Object> implicit)` |
    `static java.lang.String` | `getExpressionString​(ExpressionX expr)` |
    `static java.util.Map<java.lang.String,​java.lang.Object>` | `parseArgs​(BindEvaluatorX eval, java.util.Map<java.lang.String,​java.lang.String[]> args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindEvaluatorXUtil

          public BindEvaluatorXUtil()

  - ### Method Detail

    - #### evalArgs

          public static java.util.Map<java.lang.String,​java.lang.Object> evalArgs​(BindEvaluatorX eval,
                                                                                        Component comp,
                                                                                        java.util.Map<java.lang.String,​java.lang.Object> args)

    - #### evalArgs

          public static java.util.Map<java.lang.String,​java.lang.Object> evalArgs​(BindEvaluatorX eval,
                                                                                        Component comp,
                                                                                        java.util.Map<java.lang.String,​java.lang.Object> args,
                                                                                        java.util.Map<java.lang.String,​java.lang.Object> implicit)

    - #### parseArgs

          public static java.util.Map<java.lang.String,​java.lang.Object> parseArgs​(BindEvaluatorX eval,
                                                                                         java.util.Map<java.lang.String,​java.lang.String[]> args)

    - #### createEvaluator

          public static BindEvaluatorX createEvaluator​(FunctionMapper fnampper)

    - #### eval

          public static <T> T eval​(BindEvaluatorX evalx,
                                   Component comp,
                                   java.lang.String expression,
                                   java.lang.Class<T> expectedType)

    - #### eval

          public static <T> T eval​(BindEvaluatorX evalx,
                                   Component comp,
                                   java.lang.String expression,
                                   java.lang.Class<T> expectedType,
                                   java.util.Map<java.lang.String,​java.lang.Object> implicit)

    - #### getExpressionString

          public static java.lang.String getExpressionString​(ExpressionX expr)